<app-menu xmlns="http://www.w3.org/1999/html"></app-menu>
<div class="container">
    <br/>
    <div class="row">
        <div class="col-md-6">
            <mat-form-field class="example-form-field" appearance="fill">
                <mat-label>Поиск</mat-label>
                <input matInput type="text" [(ngModel)]="search" (change)="searchPeople(search)">
                <button *ngIf="search" matSuffix mat-icon-button aria-label="Очистить" (click)="search=''">
                    <mat-icon>close</mat-icon>
                </button>
            </mat-form-field>
            <mat-list>
                <mat-list-item *ngFor="let people of peoples" [class.selected]="people === selectProfile" type="button"
                               (click)="onSelect(people)">
                    <mat-icon matListIcon>account_circle</mat-icon>
                    <h3 matLine> {{people.card.firstName}} {{people.card.secondName}} </h3>
                    <p matLine>
                        <span> {{people.card.age}} </span>
                    </p>
                </mat-list-item>
            </mat-list>
            <mat-paginator [length]="length"
                           [pageIndex]="pageIndex"
                           [pageSize]="pageSize"
                           [pageSizeOptions]="[5, 10]"
                           (page)="changePage($event)"
                           aria-label="Select page">
            </mat-paginator>
        </div>
        <div class="col-md-4">
            <mat-card class="example-card" *ngIf="selectProfile">
                <mat-card-title>{{selectProfile.card.secondName}}</mat-card-title>
                <mat-card-subtitle>{{selectProfile.card.firstName}}</mat-card-subtitle>
                <mat-card-content>
                    <p><span>Age: </span>{{selectProfile.card.age}}</p>
                    <p><span>Interest: </span>{{selectProfile.card.interest}}</p>
                </mat-card-content>
                <mat-card-actions>
                    <button mat-button (click)=addToFriend() class="btn btn-success">Add to friend</button>
                </mat-card-actions>
            </mat-card>
        </div>
    </div>
</div>

